curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-dealroom-companies-search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"max_items": 2
}'import requests
url = "https://api.neuralverge.ai/functions/v1/run-dealroom-companies-search"
payload = { "max_items": 2 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-dealroom-companies-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "dealroom_companies_search",
"keyword": "fintech",
"max_items": 2,
"start_page": 1,
"partial": false,
"human": "# Dealroom — companies search\n\n- **Query:** keyword=fintech\n- **Results:** 2 of 7913 found\n- **Proxy traffic:** 17.4 KB",
"machine": {
"total_items": 2,
"first_item": {
"id": "berkshire-hathaway-corp-",
"name": "Berkshire Hathaway",
"url": "https://dealroom.co/companies/berkshire-hathaway-corp-/",
"alias": "berkshire-hathaway-corp-",
"tier": "Listed",
"sector": "Fintech",
"hq": "Omaha, United States",
"country": "United States",
"founded_year": 1839,
"valuation": 1180000000000,
"valuation_range": "$1.18T",
"exit_note": "IPO 1983",
"logo": "https://storage.googleapis.com/dealroom-images-production/2026/09/26/a1b40123091158d6c35609cf6ac1cfb5.png"
},
"items": [
{
"id": "berkshire-hathaway-corp-",
"name": "Berkshire Hathaway",
"url": "https://dealroom.co/companies/berkshire-hathaway-corp-/",
"alias": "berkshire-hathaway-corp-",
"tier": "Listed",
"sector": "Fintech",
"hq": "Omaha, United States",
"country": "United States",
"founded_year": 1839,
"valuation": 1180000000000,
"valuation_range": "$1.18T",
"exit_note": "IPO 1983",
"logo": "https://storage.googleapis.com/dealroom-images-production/2026/09/26/a1b40123091158d6c35609cf6ac1cfb5.png"
},
{
"id": "jpmorgan",
"name": "JP Morgan",
"url": "https://dealroom.co/companies/jpmorgan/",
"alias": "jpmorgan",
"tier": "Listed",
"sector": "Fintech",
"hq": "New York City, United States",
"country": "United States",
"founded_year": 1799,
"valuation": 883528000000,
"valuation_range": "$884B",
"exit_note": "IPO 1983",
"logo": "https://storage.googleapis.com/dealroom-images-production/2023/01/19/9726f27cce6233556b25070db8642dd3.png"
}
],
"total_found": 7913,
"page_count": 1,
"blocked": false,
"proxy_traffic_bytes": 17803
},
"total_points": 2
}Dealroom companies search
Search Dealroom companies by keyword and/or tier, sector and country: name, tier, sector, HQ, founding year, numeric valuation and range, logo and link. At least one of keyword / tier / sector / country is required. 1 point per returned record.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Keyword. e.g. revolut
Tier. Options: Centicorn = Centicorn, Colt = Colt, Decacorn = Decacorn, Gigacorn = Gigacorn, Listed = Listed, Mag 7 = Mag 7, Thoroughbred = Thoroughbred, Titan = Titan, Unicorn = Unicorn
Centicorn, Colt, Decacorn, Gigacorn, Listed, Mag 7, Thoroughbred, Titan, Unicorn Sector. Options: Fintech = Fintech, Biotech & Life Sciences = Biotech & Life Sciences, eCommerce & Marketplaces = eCommerce & Marketplaces, Health Tech & Medtech = Health Tech & Medtech, Other B2B Software = Other B2B Software, Energy = Energy, Consumer Services = Consumer Services, Transportation = Transportation, Marketing = Marketing, AI = AI, Cybersecurity = Cybersecurity, Food = Food, Semiconductors = Semiconductors, Edtech = Edtech, Robotics = Robotics, Space = Space, Defence = Defence, Aviation = Aviation
Fintech, Biotech & Life Sciences, eCommerce & Marketplaces, Health Tech & Medtech, Other B2B Software, Energy, Consumer Services, Transportation, Marketing, AI, Cybersecurity, Food, Semiconductors, Edtech, Robotics, Space, Defence, Aviation Country. e.g. Germany
Sort by. Options: valuation = Valuation, alphabetical = Alphabetical, founded = Founding year
valuation, alphabetical, founded Max items (up to 250)
1 <= x <= 250Starting page (60 per page)
x >= 1Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.